get
https://api.gomotive.com/v1/groups?name=
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Purpose: Use this endpoint to search for the group by it's name and viewing the details of the group. When you specify the name of the group in the query parameter, the response will bring up all the details such as group_id, user details company_id, and parent_id.
Response Parameters
groups
- Type: Array of Objects
- Description: A list of group objects associated with the company.
group
- Type: Object
- Description: Contains details about a specific group.
id
- Type: Number
- Description: Unique identifier assigned to the group.
name
- Type: String
- Description: Name of the group.
company_id
- Type: Number
- Description: Unique identifier of the company to which the group belongs.
parent_id
- Type: Number or null
- Description: Identifier of the parent group. Null if the group has no parent.
user
- Type: Object
- Description: Contains details of the user associated with the group.
id
- Type: Number
- Description: Unique identifier assigned to the user.
first_name
- Type: String
- Description: First name of the user.
last_name
- Type: String
- Description: Last name of the user.
username
- Type: String or null
- Description: Username of the user. May be null.
email
- Type: String
- Description: Email address of the user.
driver_company_id
- Type: String or null
- Description: Driver company identifier associated with the user. May be null.
status
- Type: String
- Description: Current status of the user (e.g.,
active).
role
- Type: String
- Description: Role assigned to the user (e.g.,
admin).